Subject: Re: [PATCH iproute2 net-next] ifstat: move to new RTM_GETSTATS api

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 9 May 2016 08:38:04 -0400

On 16-05-09 12:49 AM, Roopa Prabhu wrote:
> On 4/30/16, 8:15 AM, Roopa Prabhu wrote:
>> On 4/30/16, 3:21 AM, Jamal Hadi Salim wrote:

> AFAICS ifstat history file handling today assumes all 32 bit stats.

Indeed it does.

> And to preserve backward compatibility, new ifstat should work with old and
> new history files with 32bit and 64 bit stats.

True.
It may be ok to just provide a conversion tool maybe for taking 32b
history into 64b? I dont know if someone is going to "migrate" their
history files so even that may not be worth it.

> The file format cannot be changed because of the same backward compat issues.
> So, I am leaning towards a new history file with a new option (maybe ifstat -64) to
> save/query 64 bit stats using the new api when available.
>
> I see some previous brief discussions on moving ifstat to 64 bit.
>
> The other option is to only change 'ip -s link show' to use the new stats api.
>
> let me know if there are other thoughts.
>

Is it not possible to convert to 64b - and IFLA_STAT
becomes available just store it still in 64b?
i.e 32b will fit in 64b space.

cheers,
jamal